<HTML>
<HEAD>
<TITLE>AV-ASA-01</TITLE>
<!--Shrink Array Physical Drive Choices Update Page-->
<STYLE>
<!#master.css>
<!#adv.css>
</STYLE>
<META http-equiv="Content-Type" content="text/html; charset=<!=/ACU-XE/CharSet=Message>iso-8859-1<!/CharSet>">
</HEAD>
<!#common.htm>
<SCRIPT SRC="ACUTools.js"></SCRIPT>
<SCRIPT SRC="Advanced.js"></SCRIPT>
<SCRIPT SRC="checkbox.js"></SCRIPT>
<SCRIPT>
numChoices = 0;
// migrationNumChoices = 0;
var disableNext = false;
// default values for variables set in PDRIVE_SHRINK_CHOICES
var hasNestedRAIDVolume = false;
var displayNPGChangeOptions = false;
var allowNPGChange = false;

option = new Array();
<!.Request=PDRIVE_SHRINK_CHOICES>
<!.Request=FOCUS>
<!.Request=TAG>

function HandlePhysicalDriveSelectionChange(index)
{
   NCFormReferenceArrayToggleItem(index);
//   document.arrayPhysicalDrivesForm.submit();
}

function ValidateAVASA01()
{ 
   if ( PreValidateDriveChoices() && !disableNext )
   {
      disableNext = true;
      SetTaskData("updateDataFormComplete", false);
      document.updateValidationForm.submit();
      WaitForDataReadyAndValidate();
   }
   return false;
}

function WaitForDataReadyAndValidate()
{
   dataComplete = GetTaskData("updateDataFormComplete");
   if ( !dataComplete )
   {
      setTimeout("WaitForDataReadyAndValidate();", 500);
   }
   else
   {
      Validate();
   }
}

function PreValidateDriveChoices()
{
   var isOkToSubmit = true;
   var shouldChangeNPG = false;
   var numChecked = 0;
   for( i = 0; i < numChoices; ++i )
   {
      if ( option[i].checked )
      {
         ++numChecked;
      }
   }
   if ( numChecked == 0 )
   {
      message = LoadString("PX_TAG_SHRINK_ARRAY_EMPTY");
      ACUAlert(message);
      isOkToSubmit = false;
   }
   else if ( numChecked >= numChoices )
   {      
      message = LoadString("PX_TAG_SHRINK_ARRAY_ALL_SELECTED");
      ACUAlert(message);
      isOkToSubmit = false;
   }
   else
   {
      shouldChangeNPG = hasNestedRAIDVolume && displayNPGChangeOptions && document.getElementById("SHRINK_TYPE_NPG").checked;
      // See if the number of selected drives is valid...
      if ( (!shouldChangeNPG && !shrinkNumDriveOptions[numChecked]) ||
           (shouldChangeNPG && !shrinkNumDriveOptionsWithNPGChange[numChecked]) )
      {
         ACUAlert(LoadString("PX_TAG_SHRINK_ARRAY_INVALID_DRIVE_COUNT"));
         isOkToSubmit = false;
      }
   }
   return isOkToSubmit;
}

function Validate()
{
   if ( hasNestedRAIDVolume && displayNPGChangeOptions && allowNPGChange && document.getElementById("SHRINK_TYPE_NPG").checked)
   {
      document.shrinkArrayNext.ARRAY_SHRINK_OPTION.value = "SHRINK_NPG";
   }
   document.shrinkArrayNext.submit();
   disableNext = false;
   return false;
}

function WritePhysicalDriveCommands()
{
   for ( var i=0; i<numChoices; ++i )
   {
      physicalDriveCommand = offcommand;
      if (option[i].checked)
      {
         physicalDriveCommand = command;
      }
      WriteCommand( physicalDriveCommand, option[i].id );
   }
}

InitAdvKeyboard();
</SCRIPT>
<BODY id=BODY class=normalbody onfocus="advFocus();" onblur="advBlur();" onload="advLoad();" oncontextmenu="return DisableRightClick();">
   <TABLE width=100%  border=0 cellpadding=0 cellspacing=0 align=center >
      <TR width=100% id=configtableHead>
         <TD id=configtableHead align=left valign=top><IMG src="./Images/top_left_trans.gif"></TD>
         <TD id=configtableHead align=center nowrap>
            <SCRIPT>
            WriteString("PX_TAG_SHRINK_ARRAY");
            </SCRIPT>
         </TD>
         <TD id=configtableHead align=right valign=top><IMG src="./Images/top_right_trans.gif"></TD>
      </TR>
      <TR width=100%>
         <TD id=configtable colspan=3>
         <SCRIPT>
         DisplayStandardNote( "PX_TAG_SHRINK_ARRAY_NOTE" );
         </SCRIPT>
         </TD>
      </TR>
      <TR width=100%>
         <TD id=configtable colspan="3">
            <SCRIPT>
               if (hasNestedRAIDVolume && displayNPGChangeOptions)
               {
                  document.write("<FORM autocomplete='off' name='expandTypeForm'>");
                  document.write("<table width=100% border=0 cellpadding=2 cellspacing=4 id='SELECT_ALL' class=normal>");
                  document.write("<tr id=advTableHeader width=100% align=absMiddle>");
                  document.write("<td width=100% id=advTableHeader align=center>");
                  document.write( LoadString("PX_TAG_SHRINK_ARRAY_TYPE") );
                  document.write("</td></tr><tr id=advTable align=absmiddle>");
                  document.write("<td id=advTable width=100% align=center>");
                  
                  document.write("<table id=advTable width=100% align=center border=0>");
                  document.write("<tr id=advTable><td id=advTable>");
                  document.write("<input type=radio name='SHRINK_TYPE' value='SHRINK_NDPG' id='SHRINK_TYPE_NDPG' checked>");
                  document.write(LoadString("PX_TAG_SHRINK_ARRAY_MODIFY_NDPG"));
                  document.write("</td></tr></table>");
                  AddKBIndex("SHRINK_TYPE_NDPG");
                  kbIdArray["SHRINK_TYPE_NDPG"].isCheckbox=true;

                  document.write("<table id=advTable width=100% align=center border=0>");
                  document.write("<tr id=advTable><td id=advTable>");
                  document.write("<input ");
                  if (!allowNPGChange)
                  {
                     document.write("disabled ");
                  }
                  document.write("type=radio name='SHRINK_TYPE' value='SHRINK_NPG' id='SHRINK_TYPE_NPG'>");
                  document.write(LoadString("PX_TAG_SHRINK_ARRAY_MODIFY_NPG"));
                  document.write("</td></tr></table>");
                  if ( allowNPGChange )
                  {
                     AddKBIndex("SHRINK_TYPE_NPG");
                     kbIdArray["SHRINK_TYPE_NPG"].isCheckbox=true;
                  }
                  document.write("</td></tr></table></FORM>");
               }
            </SCRIPT>
         </TD>
      </TR>
      <FORM autocomplete="off" name="displayForm">
      <TR width=100%>
         <TD id=configtable colspan=3>
            <SCRIPT>
            DisplayStandardCheckBoxTable(LoadString("PX_TAG_AV_PDRIVE_SELECT_FOR_SHRINK"), option, numChoices, "HandlePhysicalDriveSelectionChange");
            </SCRIPT>
         </TD>
      </TR>
      </FORM>         
      <TR id=configtable>
         <TD id=configtable colspan=3>
            <SCRIPT>
            DisplayStandardOKCancelButtonNavWithValidation("AV-Config.htm", "AV-Config.htm", "ValidateAVASA01()" );
            </SCRIPT>
         </TD>
      </TR>
   </TABLE>
   <FORM name="arrayPhysicalDrivesForm" method="post" target="AdvancedData1" action="ACUBlank.htm">
      <SCRIPT>
      WritePhysicalDriveCommands();
      insertUserAndFocus();
      </SCRIPT>
   </FORM>
   <FORM name="updateValidationForm" method="post" target="AVASA01BFrame" action="AV-ASA-01B.htm">
      <SCRIPT>
      insertUser();
      insertFocus();
      insertSource();
      </SCRIPT>
   </FORM>
   <FORM name="cancel">
      <SCRIPT>
      insertUser();
      insertFocus();
      insertSource();
      WriteCommand("UNDO_TRANSACTION","DEFAULT");
      </SCRIPT>
   </FORM>
   <FORM name="shrinkArrayNext" method="post" target="config" action="AV-Config.htm">
      <SCRIPT>
      WritePhysicalDriveCommands();
      WriteCommand( "END_ADD_PDRIVE", "DEFAULT");
      WriteCommand( "ARRAY_SHRINK_OPTION", "SHRINK_NDPG" );
      insertUser();
      insertFocus();
      insertSource();
      WriteCommand( "END_TRANSACTION", "DEFAULT" );
      </SCRIPT>
   </FORM>
   <SCRIPT>
      NCFormReferenceArrayInit( document.shrinkArrayNext );
   </SCRIPT>
</BODY>
<SCRIPT SRC="advkey.js"></SCRIPT>
</HTML>