<?php
include "fefunctions.php";
include "iocommand.php";
start_session();

   /***********************************************************************
   *    Copyright � 2002 - 2005 Hewlett-Packard Development Company, L.P. *
   ***********************************************************************/

$bgcolor = "#ffffff";
$isPhoenix = IsPhoenix();
$isDiagsCD = IsDiagsCD();

$statusCommand = sprintf("<getProcessStatus/>");
$statusString = '';
$errors = '';
$result = ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagsai", $statusCommand, $statusString, $errors);

$diagsBusy = FALSE;
if ($statusString != "")
{
  $xmldoc = new DomDocument($statusString);
  $status = $xmldoc->document_element();
  // IF THERE IS A PROCESS ID, TESTS ARE RUNNING, CANT VIEW TESTS PAGE
  $processID = $status->get_attribute("processID");
  if ($processID != '')
    $diagsBusy = TRUE;
}

?>

<?php
if ($diagsBusy)
{
?>
<!-- switch to status tab, since diags is busy -->
<html>
  <head>
    <meta http-equiv='content-type' content='text/html; charset=UTF-8'>
    <title>HP Insight Diagnostics</title>
    <link rel='stylesheet' type='text/css' href='stylesheets/main.css'>
    <link rel='stylesheet' type='text/css' href='stylesheets/header.css'>
    <style> body { background:white; } </style>
    <SCRIPT LANGUAGE='JavaScript' SRC='menufunctions.js'></SCRIPT>
  <script language="Javascript">
    top.frames.dataFrame1.doTab3();
  </script>

<?php
}
else
{
?>

<!-- usual page content -->
<html>
  <head>
    <meta http-equiv='content-type' content='text/html; charset=UTF-8'>
    <title>HP Insight Diagnostics</title>
    <link rel='stylesheet' type='text/css' href='stylesheets/main.css'>
    <link rel='stylesheet' type='text/css' href='stylesheets/header.css'>
    <style> body { background:white; } </style>
    <SCRIPT LANGUAGE='JavaScript' SRC='menufunctions.js'></SCRIPT>
  <script language="Javascript">
    currenttab=0;
    function doTab(index)
    {
      disableTestSubTabs();
      top.frames.dataFrame1.disableTabs();

      lasttab = currenttab;
      currenttab = index;
      document.getElementById("tab"+lasttab+"left").style.borderBottom = "2px #cccccc solid";
      document.getElementById("tab"+lasttab+"left").style.backgroundColor="#7591AC";
      document.getElementById("tab"+lasttab).style.backgroundColor="#7591AC";
      document.getElementById("tab"+lasttab).style.borderBottom = "2px #cccccc solid";
      document.getElementById("tab"+lasttab+"right").style.backgroundImage="url(sub_tab_right.gif)";
      document.getElementById("tab"+lasttab+"right").style.borderBottom = "2px #cccccc solid";
      document.getElementById("atab"+lasttab).style.color = "white";
      document.getElementById("tab"+currenttab+"left").style.backgroundColor="white";
      document.getElementById("tab"+currenttab+"left").style.borderBottom = "0";
      document.getElementById("tab"+currenttab).style.backgroundColor="white";
      document.getElementById("tab"+currenttab).style.borderBottom = "0";
      document.getElementById("atab"+currenttab).style.color = "black";
      document.getElementById("tab"+currenttab+"right").style.backgroundImage="url(white.gif)";
      document.getElementById("tab"+currenttab+"right").style.borderBottom = "0";
    }

    parent.frames.dataFrame3.location = parent.frames.globalFrame.testPage;

    function doTab0()
    {
      doTab(0);
      parent.frames.dataFrame3.location = "quick.php";
    }

    function doTab1()
    {
      doTab(1);
      parent.frames.dataFrame3.location = "complete.php";
    }

    function doTab2()
    {
      doTab(2);
      parent.frames.dataFrame3.location = "custom.php";
    }

    function enableTestSubTabs()
    {
      document.getElementById("atab0").onclick = doTab0;
      document.getElementById("atab1").onclick = doTab1;
      document.getElementById("atab2").onclick = doTab2;
    }

    function disableTestSubTabs()
    {
      document.getElementById("atab0").onclick = "";
      document.getElementById("atab1").onclick = "";
      document.getElementById("atab2").onclick = "";
    }
    
  </script>
  </head>
  <body TOPMARGIN=0 MARGINHEIGHT=0>
    <form action=survey.php name=surveyForm method=POST>
   
      <table border=0 cellspacing=0 cellpadding=0 width='100%' bgcolor=white>
        <tr>
          <td width=5>
          </td>
          <td>
<?php
//subtabs
printf("<table width='100%%'border=0 bordercolor=#cccccc cellspacing=0 cellpadding=0>\n <tr>\n<td bgcolor=#cccccc height=5 colspan=3></td>\n  </tr>\n   <tr>\n<td bgcolor=#cccccc width=10></td>    <td bgcolor=#cccccc class='sizefourpx'>%s %s<BR></td>\n <td bgcolor=#cccccc align=right><b>", TR("Diagnostic"), TR("MSG_TEST"));
if ($isDiagsCD || $isPhoenix)
  printf("&nbsp;<a href=# onclick='parent.parent.frames.headerFrame.restart();' title='%s' id='refresh'>%s</a>&nbsp;&nbsp;", TR("MSG_REDISCOVER_BUBBLE"), TR("MSG_RELOAD"));
printf("<a href=# onclick='parent.parent.frames.dataFrame3.document.getElementById(\"aboutrootIt\").style.visibility=\"visible\";parent.parent.frames.dataFrame3.document.getElementById(\"aboutrootIt\").style.display=\"inline\";'>%s</a></b></font>&nbsp;&nbsp;&nbsp;</td>  </tr>\n <tr>\n<td bgcolor=#cccccc height=5 colspan=3></td>\n</tr>\n <tr>\n  <td bgcolor=#cccccc colspan=3>\n", TR("MSG_ABOUT"));
printf("<table border=0 cellspacing=0 cellpadding=0 bgcolor=#cccccc>\n  <tr>\n<td width=6></td>    <td class='subhitableft' id='tab0left'>&nbsp;</td>\n");
printf("<td class='subhitab' id='tab0' height='20' align='center' >\n<div id='atab0' style='color:black;cursor:hand'>&nbsp;&nbsp;%s&nbsp;&nbsp;\n</div></td>\n", TR("MSG_QUICK_TEST"));
printf("<td class='subhitabright' id='tab0right'>&nbsp;</td>\n    ");

printf("<td class='subtableft' id='tab1left'>&nbsp;</td>");
printf("<td class='subtab' id='tab1' height='20' align='center' ><div id='atab1' style='color:white;cursor:hand'>&nbsp;&nbsp;%s&nbsp;&nbsp;</div></td>", TR("MSG_COMPLETE_TEST"));
printf("<td class='subtabright' id='tab1right'>&nbsp;</td>\n    ");

printf("<td class='subtableft' id='tab2left'>&nbsp;</td>");
printf("<td class='subtab' id='tab2' height='20' align='center' style='color:white;cursor:hand'><div id='atab2' style='color:white;cursor:hand'>&nbsp;&nbsp;%s&nbsp;&nbsp;</div></td>", TR("MSG_CUSTOM_TEST"));
?>
<td class='subtabright' id='tab2right'>&nbsp;</td></tr></table>

</td></tr><tr><td bgcolor=white colspan=2>
</td></tr></table>

</td></tr>
</table></form>

<script language="Javascript">
  if (parent.frames.globalFrame.testPage == "complete.php")
    doTab(1);
  else if (parent.frames.globalFrame.testPage == "custom.php")
    doTab(2);
</script>


<script language="Javascript" src="norightclick.js"></script></body></html>

<?php
}
?>







