<HTML>
<HEAD>
<TITLE>AV-CS-01</TITLE>
<STYLE>
<!#master.css>
<!#adv.css>
</STYLE>
<META http-equiv="Content-Type" content="text/html; charset=<!=/ACU-XE/CharSet=Message>iso-8859-1<!/CharSet>">
</HEAD>
<!#common.htm>
<SCRIPT SRC="ACUTools.js"></SCRIPT>
<SCRIPT SRC="Advanced.js"></SCRIPT>
<SCRIPT>
option = new Array();
<!.Request=CONTROLLER_SETTINGS>
<!.Request=FOCUS>
<!.Request=TAG>

scanRange = new Object();
scanRange.text = LoadString("PX_TAG_SEC_RANGE_ENABLE");
scanRange.parmLength = 2;
scanRange.parm = new Array();
scanRange.parm[0] = minSurfaceScanDelay;
scanRange.parm[1] = maxSurfaceScanDelay;

var scheduleBeginValues = new Array();
var scheduleDurationValues = new Array();
if (hasEnhancedSurfaceAnalysisSupport)
{
   // setup the schedule
   for (var i = 0; i < 7; i++)
   {
      scheduleBeginValues[scheduleBeginValues.length] = surfaceScanSchedule.substr(i * 2, 2);
      scheduleDurationValues[scheduleDurationValues.length] = surfaceScanSchedule.substr(14 + i * 2, 2);
   }
}

function currentScanSize(){return document.displayForm.SURFACE_SCAN_SET_DELAY.value;}

function ScanSizeIs(newScanSizeSec){document.displayForm.SURFACE_SCAN_SET_DELAY.value = newScanSizeSec;}

function HandleScanSizeChange(){ScanSizeIs( currentScanSize() );}

for (var i=0; i < numRatioOptions; ++i)
  {
  if (ratioOption[i].checked)
    {
    selectedCacheRatio = ratioOption[i].id;
    }
  }

function HandleExpandChange()
  {
  document.finish.EXPAND_PRIORITY.value = selectedRadioId(document.displayForm.EXPAND_PRIORITY);
  }

function HandleRebuildChange()
  {
  document.finish.REBUILD_PRIORITY.value = selectedRadioId(document.displayForm.REBUILD_PRIORITY);
  }

function HandleChassisNameChange()
  {
  document.finish.BOXNAME.value = document.displayForm.BOXNAME.value;
  }

function HandleRatioChange()
  {
  document.finish.CACHE_RATIO.value = selectedRadioId(document.displayForm.CACHE_RATIO);
  }

function HandleSAOptionChange()
{
  var selectedOption = selectedRadioId(document.displayForm.SURFACE_SCAN_SET_PRIORITY);
  var delayTable = document.getElementById("SURFACE_SCAN_SET_DELAY_TABLE");
  var scheduleTable = document.getElementById("SURFACE_SCAN_SCHEDULE_TABLE");
  if (selectedOption == "DISABLE")
  {
     delayTable.style.display = "none";
     scheduleTable.style.display = "none";
  }
  else if (selectedOption == "IDLE")
  {
     delayTable.style.display = "";
     scheduleTable.style.display = "none";
  }
  else
  {
     delayTable.style.display = "";
     scheduleTable.style.display = "";
  }
}

function HandleScheduleBeginTimeChange(dayOfWeek)
{
   var beginSelectObject = document.getElementById("SS_SCHED_START_" + dayOfWeek);
   var durationSelectObject = document.getElementById("SS_SCHED_DURATION_" + dayOfWeek);
   var durationLabelObject = document.getElementById("SS_SCHED_DURATION_NA_" + dayOfWeek);
   if (beginSelectObject.selectedIndex == 0)
   {
      durationSelectObject.style.display = "none";
      durationLabelObject.style.display = "";
   }
   else
   {
      durationSelectObject.style.display = "";
      durationLabelObject.style.display = "none";
   }
}

function WriteScheduleDayRow(dayOfWeek, index)
{
   var beginValue = Number(scheduleBeginValues[index]);
   var durationValue = Number(scheduleDurationValues[index]);
   if (beginValue == -1)
      durationValue = 12;
   else if (durationValue == -1)
      durationValue = 1;   

   document.write("<tr id=\"advTable\" align=\"center\">");
   document.write("<td id=\"advTable\">" + LoadString("PX_TAG_SURFACE_SCAN_SCHED_" + dayOfWeek) + "</td>");
   document.write("<td id=\"advTable\">");
   document.write("<select name=\"SS_SCHED_START_" + dayOfWeek + "\" id=\"SS_SCHED_START_" + dayOfWeek + "\" onChange=\"HandleScheduleBeginTimeChange('" + dayOfWeek + "');\">");
   document.write("<option value=\"-1\"");
   if (beginValue == -1)
      document.write(" selected");
   document.write(">" + LoadString("PX_TAG_DISABLED"));
   for (var hour = 0; hour <= 23; hour++)
   {
      document.write("<option value=\"" + hour + "\"");
      if (beginValue == hour)
         document.write(" selected");
      document.write(">" + LoadString("PX_TAG_SURFACE_SCAN_SCHED_HOUR_" + hour));
   }
   document.write("</select></td>");
   document.write("<td id=\"advTable\">");
   document.write("<label id=\"SS_SCHED_DURATION_NA_" + dayOfWeek + "\"");
   if (beginValue != -1)
      document.write(" style=\"display:none;\"");
   document.write(">" + LoadString("PX_TAG_NOT_APPLICABLE") + "</label>");
   document.write("<select name=\"SS_SCHED_DURATION_" + dayOfWeek + "\" id=\"SS_SCHED_DURATION_" + dayOfWeek + "\"");
   if (beginValue == -1)
      document.write(" style=\"display:none;\"");
   document.write(">");
   for (var duration = 1; duration <= 24; duration++)
   {
      var durationString = new Object();
      durationString.text = LoadString("PX_TAG_SURFACE_SCAN_SCHED_DUR_FORMAT");
      durationString.parmLength = 1;
      durationString.parm = new Array();
      durationString.parm[0] = duration;
      document.write("<option value=\"" + duration + "\"");
      if (duration == durationValue)
         document.write(" selected");
      document.write(">" + InsertParmsInString(durationString));
   }
   document.write("</select></td>");
   document.write("</tr>");
   AddKBIndex("SS_SCHED_START_" + dayOfWeek);
   AddKBIndex("SS_SCHED_DURATION_" + dayOfWeek);
}  

function GetScheduleBeginValue(dayOfWeek)
{
   var selectObject = document.getElementById("SS_SCHED_START_" + dayOfWeek);
   var beginValue = selectObject.value;
   if (beginValue == "-1")
      beginValue = "";
   return beginValue;
}

function GetScheduleDurationValue(dayOfWeek)
{
   var selectObject = document.getElementById("SS_SCHED_DURATION_" + dayOfWeek);
   var durationValue = selectObject.value;
   if (GetScheduleBeginValue(dayOfWeek) == "")
      durationValue = "";
   return durationValue;
}

function GetScheduleString()
{
   return   "*" + GetScheduleBeginValue("SUN") + "," +
            GetScheduleBeginValue("MON") + "," +
            GetScheduleBeginValue("TUE") + "," +
            GetScheduleBeginValue("WED") + "," +
            GetScheduleBeginValue("THU") + "," +
            GetScheduleBeginValue("FRI") + "," +
            GetScheduleBeginValue("SAT") + "," +
            GetScheduleDurationValue("SUN") + "," +
            GetScheduleDurationValue("MON") + "," +
            GetScheduleDurationValue("TUE") + "," +
            GetScheduleDurationValue("WED") + "," +
            GetScheduleDurationValue("THU") + "," +
            GetScheduleDurationValue("FRI") + "," +
            GetScheduleDurationValue("SAT");
}

function ValidateAVCS01()
{
   canSubmit = true;
   if (hasBoxname)
   {
      canSubmit = false;
      //var pattern = new RegExp("[^a-zA-Z0-9 !@#\*_\(\)\+\\:\.\/,\-]+");
      var pattern = new RegExp(boxnameAcceptableCharTypeRegExp);
      document.finish.BOXNAME.value = RemoveTrailingSpacesFrom( document.finish.BOXNAME.value );

      if (document.finish.BOXNAME.value == "")
      {
         canSubmit = true;
         //document.finish.BOXNAME.value = "*" + document.finish.BOXNAME.value;
         }
      else if ( !pattern.test(document.finish.BOXNAME.value) )
      {
         canSubmit = true;
         //document.finish.BOXNAME.value = "*" + document.finish.BOXNAME.value;
      }

      if ( !canSubmit )
      {
         //ACUAlert(LoadParmString("PX_TAG_CONTROLLER_SETTINGS_INVALID_RAID_ARRAY_ID",viewableBoxnameRegExpression));
         warning = new Object();
         warning.text = LoadString("PX_TAG_CONTROLLER_SETTINGS_INVALID_RAID_ARRAY_ID");
         warning.parmLength = 1;
         warning.parm = new Array();
         warning.parm[0] = viewableBoxnameRegExpression;
         ACUAlert(InsertParmsInString(warning));
         //ACUAlert(LoadString("PX_TAG_CONTROLLER_SETTINGS_INVALID_RAID_ARRAY_ID"));
      }
   } 
       
   if(hasSurfaceScanDelaySupport)
   {
      var scanPattern = new RegExp("[^0-9]+");
      enteredScanPattern = document.displayForm.SURFACE_SCAN_SET_DELAY.value;
   
      if( scanPattern.test(enteredScanPattern) || enteredScanPattern < minSurfaceScanDelay || enteredScanPattern > maxSurfaceScanDelay)
      {
         message = new Object();
         message.text = LoadString("PX_TAG_SCAN_SIZE_INVALID");
         message.parmLength = 2;
         message.parm = new Array();
         message.parm[0] = minSurfaceScanDelay;
         message.parm[1] = maxSurfaceScanDelay;
         ACUAlert(InsertParmsInString(message));
         canSubmit = false;
      }  
   }    
   if (canSubmit && hasEnhancedSurfaceAnalysisSupport)
   {
      if (selectedRadioId(document.displayForm.SURFACE_SCAN_SET_PRIORITY) == "DISABLE")
      {
         canSubmit = ACUConfirm(LoadString("PX_TAG_SURFACE_SCAN_DISABLE_WARNING"));
      }   
   }
   if (canSubmit)
   {   
      if(hasSurfaceScanDelaySupport)
      {
         document.finish.SURFACE_SCAN_SET_DELAY.value = document.displayForm.SURFACE_SCAN_SET_DELAY.value;
         document.finish.SURFACE_SCAN_SET_DELAY.value = "*" + document.finish.SURFACE_SCAN_SET_DELAY.value;
         surfaceScanDelay = document.displayForm.SURFACE_SCAN_SET_DELAY.value;
      }
      if (hasBoxname)
      {
         document.finish.BOXNAME.value = "*" + document.displayForm.BOXNAME.value;
      }
      if (hasEnhancedSurfaceAnalysisSupport)
      {
         document.finish.SURFACE_SCAN_SET_SCHEDULE.value = GetScheduleString();
         document.finish.SURFACE_SCAN_SET_PRIORITY.value = selectedRadioId(document.displayForm.SURFACE_SCAN_SET_PRIORITY);
      }
   }
   return canSubmit;
}

function SelectInitialParameters()
{
   if (hasExpandPriority)
   {
      SelectRadioWithId(document.displayForm.EXPAND_PRIORITY, selectedExpandPriority);
   }
   SelectRadioWithId(document.displayForm.REBUILD_PRIORITY, selectedRebuildPriority);
   if (hasBoxname)
   {
      document.displayForm.BOXNAME.value = boxname;
   }
   SelectRadioWithId(document.displayForm.CACHE_RATIO, selectedCacheRatio);
  
   if (hasEnhancedSurfaceAnalysisSupport)
   {
      SelectRadioWithId(document.displayForm.SURFACE_SCAN_SET_PRIORITY, surfaceScanPriority);
      HandleSAOptionChange();
   }
   if ( (surfaceScanDelay >= minSurfaceScanDelay) && (surfaceScanDelay <= maxSurfaceScanDelay) )
   {
      if(hasSurfaceScanDelaySupport)
      {
         document.displayForm.SURFACE_SCAN_SET_DELAY.value = surfaceScanDelay;
      }
   }
}
InitAdvKeyboard();
</SCRIPT>
<SCRIPT SRC="advkey.js"></SCRIPT>
<BODY id=BODY class=normalbody onfocus="advFocus();" onblur="advBlur();" onLoad="SelectInitialParameters();advLoad();" oncontextmenu="return DisableRightClick();">
<FORM autocomplete="off" name="displayForm">
<TABLE width=100%  border=0 cellpadding=0 cellspacing=0 align=center >
   <TR width=100% id=configtableHead>
      <TD id=configtableHead align=left valign=top><IMG src="./Images/top_left_trans.gif"></TD>
      <TD id=configtableHead align=center nowrap>
        <SCRIPT>
          WriteString("PX_TAG_AV_CONTROLLER_SETTINGS");
        </SCRIPT>
      </TD>
      <TD id=configtableHead align=right valign=top><IMG src="./Images/top_right_trans.gif"></TD>
   </TR>
   <TR id=configtable >
   <TD id=configtable colspan=3>&nbsp;</TD>
   </TR>
    <TR width=100%>
      <TD width=100% id=configtable colspan=3>
        <SCRIPT>
          if (hasExpandPriority)
             {
             DisplayRadioTable( LoadString("PX_TAG_EXPAND_PRIORITY"), "EXPAND_PRIORITY", expandOption, expandStringTable, "HandleExpandChange" );           
             }
          DisplayRadioTable( LoadString("PX_TAG_REBUILD_PRIORITY"), "REBUILD_PRIORITY", rebuildOption, rebuildStringTable, "HandleRebuildChange" );
          if (hasBoxname)
            {
            DisplayStringInput( LoadString("PX_TAG_RAID_ARRAY_ID"), "BOXNAME", maxBoxnameLength, "HandleChassisNameChange" );
            }
        </SCRIPT>
    <TR width=100%>
      <TD width=100% id=configtable colspan=3>
        <SCRIPT>
          DisplayRadioTable2( LoadString("PX_TAG_CACHE_RATIO"), "CACHE_RATIO", ratioOption, numRatioOptions, "HandleRatioChange" );
        </SCRIPT>
      </TD>
    </TR>
    <script>
    </script>
    <TR id=configtable >
      <TD id=configtable colspan=3 >
        <SCRIPT>
         if (hasEnhancedSurfaceAnalysisSupport)
         {
            DisplayRadioTable( LoadString("PX_TAG_SURFACE_SCAN_PRIORITY"), "SURFACE_SCAN_SET_PRIORITY", surfaceAnalysisOption, surfaceAnalysisStringTable, "HandleSAOptionChange" );
            DisplayScanSizeInput( LoadString("PX_TAG_SCAN_SIZE"), "SURFACE_SCAN_SET_DELAY", "PX_TAG_SEC", "HandleScanSizeChange" );
            
            document.write("<table id=\"SURFACE_SCAN_SCHEDULE_TABLE\" class=\"normal\" style=\"display:none;\" width=\"100%\" cellspacing=\"1\" cellpadding=\"2\" border=\"0\">");
            document.write("<tr id=\"advTableHeader\" align=\"center\" width=\"100%\">");
            document.write("<td id=\"advTableHeader\" align=\"center\" witdth=\"100%\" colspan=\"3\">" + LoadString("PX_TAG_SURFACE_SCAN_SCHEDULE") + "</td>");
            document.write("</tr>");

            document.write("<tr id=\"advTableHeader\" align=\"center\" width=\"100%\">");
            document.write("<td id=\"advTableHeader\" align=\"center\" witdth=\"100%\">" + LoadString("PX_TAG_SURFACE_SCAN_SCHED_DOW") + "</td>");
            document.write("<td id=\"advTableHeader\" align=\"center\" witdth=\"100%\">" + LoadString("PX_TAG_SURFACE_SCAN_SCHED_EIST") + "</td>");
            document.write("<td id=\"advTableHeader\" align=\"center\" witdth=\"100%\">" + LoadString("PX_TAG_SURFACE_SCAN_SCHED_DURATION") + "</td>");
            document.write("</tr>");
             
            WriteScheduleDayRow("SUN", 0);
            WriteScheduleDayRow("MON", 1);
            WriteScheduleDayRow("TUE", 2);
            WriteScheduleDayRow("WED", 3);
            WriteScheduleDayRow("THU", 4);
            WriteScheduleDayRow("FRI", 5);
            WriteScheduleDayRow("SAT", 6);
             
            document.write("</table>");
          }
          else if (hasSurfaceScanDelaySupport)
          {
             DisplayScanSizeInput( LoadString("PX_TAG_SCAN_SIZE"), "SURFACE_SCAN_SET_DELAY", "PX_TAG_SEC", "HandleScanSizeChange" );
          }
        </SCRIPT>
      </TD>
    </TR>
   
   <TR id=configtable>
   <TD id=configtable colspan=3>
   <SCRIPT>
      DisplayStandardOKCancelButtonNavWithValidation( "AV-Config.htm", "AV-Config.htm", "ValidateAVCS01()" );
    </SCRIPT>
  </TABLE>
</FORM>
<FORM autocomplete="off" name="finish"  method="post" target="config" action="AV-Config.htm">
  <SCRIPT>
    if (hasExpandPriority)
    {
       WriteCommand("EXPAND_PRIORITY", selectedExpandPriority);
    }
    WriteCommand("REBUILD_PRIORITY", selectedRebuildPriority);
    if (hasBoxname)
    {
       WriteCommand("BOXNAME", boxname);
    }
    WriteCommand("CACHE_RATIO", selectedCacheRatio);
    if (hasEnhancedSurfaceAnalysisSupport)
    {
       WriteCommand("SURFACE_SCAN_SET_DELAY", surfaceScanDelay);
       WriteCommand("SURFACE_SCAN_SET_SCHEDULE", surfaceScanSchedule);
       WriteCommand("SURFACE_SCAN_SET_PRIORITY", surfaceScanPriority);
    }
    else if (hasSurfaceScanDelaySupport)
    {  
       WriteCommand("SURFACE_SCAN_SET_DELAY", surfaceScanDelay);
    }
    WriteCommand("END_TRANSACTION", "DEFAULT");
    insertUser();
    insertFocus();
    insertSource();
  </SCRIPT>
</FORM>
<FORM name="cancel" method="post" target="config" action="AV-Config.htm">
  <SCRIPT>
    WriteCommand("UNDO_TRANSACTION", "DEFAULT");
    insertUser();
    insertFocus();
    insertSource();
  </SCRIPT>
</FORM>
</BODY>
</HTML>